{ pkgs, lib, ... }:

let
  kwin = lib.concatStringsSep " " [
    "${lib.getBin pkgs.kdePackages.kwin}/bin/kwin_wayland"
    "--no-global-shortcuts"
    "--no-kactivities"
    "--no-lockscreen"
    "--locale1"
    "--inputmethod maliit-keyboard"
  ];
in
{
  services.xserver.enable = true; # optional

  # Configure keymap in X11
  # services.xserver.xkb.layout = "us";
  # services.xserver.xkb.options = "eurosign:e,caps:escape";

  services.displayManager.sddm = {
    enable = true;
    wayland.enable = true;
    settings = {
      Wayland = {
        CompositorCommand = kwin;
      };
    };
  };
  services.desktopManager.plasma6.enable = true;

  # Specific fix for cursor in steam
  xdg.icons.fallbackCursorThemes = [ "breeze_cursors" ];

  environment.systemPackages = with pkgs;
    [ maliit-keyboard ] ++ (with kdePackages; [
      sddm-kcm
      plasma-disks
      partitionmanager
      filelight
      ffmpegthumbs
      kcalc
    ]);
}
